Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class MapDeserializer

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--org.apache.axis.message.SOAPHandler
                  |
                  +--org.apache.axis.encoding.DeserializerImpl
                        |
                        +--org.apache.axis.encoding.ser.MapDeserializer

All Implemented Interfaces:
  Callback, org.xml.sax.ContentHandler, Deserializer, Deserializer, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, java.io.Serializable

public class MapDeserializer
extends DeserializerImpl

See Also:
  Serialized Form

Field Summary
`static java.lang.Object` | `KEYHINT`
`protected static org.apache.commons.logging.Log` | `log`
`static java.lang.Object` | `NILHINT`
`static java.lang.Object` | `VALHINT`

Fields inherited from class org.apache.axis.encoding.DeserializerImpl
`defaultType, id, isEnded, isHref, isNil, targets, value`

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`MapDeserializer()`

Method Summary
`SOAPHandler` | `onStartChild(java.lang.String namespace, java.lang.String localName, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context)` onStartChild is called on each child element.
`void` | `onStartElement(java.lang.String namespace, java.lang.String localName, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context)` This method is invoked after startElement when the element requires deserialization (i.e.
`void` | `setValue(java.lang.Object value, java.lang.Object hint)` The registerValueTarget code above causes this set function to be invoked when each value is known.

Methods inherited from class org.apache.axis.encoding.DeserializerImpl
`componentsReady, endElement, getDefaultType, getMechanismType, getValue, getValue, getValueTargets, moveValueTargets, onEndElement, registerValueTarget, removeValueTargets, setDefaultType, setValue, startElement, valueComplete`

Methods inherited from class org.apache.axis.message.SOAPHandler
`makeNewElement, onEndChild`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### KEYHINT

    public static final java.lang.Object KEYHINT

### VALHINT

    public static final java.lang.Object VALHINT

### NILHINT

    public static final java.lang.Object NILHINT

Constructor Detail

### MapDeserializer

    public MapDeserializer()

Method Detail

### onStartElement

    public void onStartElement(java.lang.String namespace,
                               java.lang.String localName,
                               java.lang.String prefix,
                               org.xml.sax.Attributes attributes,
                               DeserializationContext context)
                        throws org.xml.sax.SAXException

  This method is invoked after startElement when the element requires deserialization (i.e. the element is not an href and the value is not nil.) Simply creates map.
  Overrides:
    `onStartElement` in class `DeserializerImpl`
  Parameters:
    `namespace` - is the namespace of the element
    `localName` - is the name of the element
    `prefix` - is the prefix of the element
    `attributes` - are the attributes on the element...used to get the type
    `context` - is the DeserializationContext

### onStartChild

    public SOAPHandler onStartChild(java.lang.String namespace,
                                    java.lang.String localName,
                                    java.lang.String prefix,
                                    org.xml.sax.Attributes attributes,
                                    DeserializationContext context)
                             throws org.xml.sax.SAXException

  onStartChild is called on each child element.
  Overrides:
    `onStartChild` in class `DeserializerImpl`
  Parameters:
    `namespace` - is the namespace of the child element
    `localName` - is the local name of the child element
    `prefix` - is the prefix used on the name of the child element
    `attributes` - are the attributes of the child element
    `context` - is the deserialization context.
  Returns:
    is a Deserializer to use to deserialize a child (must be a derived class of SOAPHandler) or null if no deserialization should be performed.

### setValue

    public void setValue(java.lang.Object value,
                         java.lang.Object hint)
                  throws org.xml.sax.SAXException

  The registerValueTarget code above causes this set function to be invoked when each value is known.
  Overrides:
    `setValue` in class `DeserializerImpl`
  Parameters:
    `value` - is the value of an element
    `hint` - is the key

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.